Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions | Variables
ossl_ssl.h File Reference

Go to the source code of this file.

## Macros
#define | GetSSL(obj, ssl)
#define | GetSSLSession(obj, sess)

## Functions
void | Init_ossl_ssl (void)
void | Init_ossl_ssl_session (void)

## Variables
const rb_data_type_t | ossl_ssl_type
const rb_data_type_t | ossl_ssl_session_type
VALUE | mSSL
VALUE | cSSLSocket
VALUE | cSSLSession

## Macro Definition Documentation

## ◆ GetSSL

#define GetSSL | ( |  | obj,
|  |  | ssl
| ) |  |

Value:
do { \
TypedData_Get_Struct((obj), SSL, &ossl_ssl_type, (ssl)); \
if (!(ssl)) { \
ossl_raise(rb_eRuntimeError, "SSL is not initialized"); \
} \
} while (0)

Definition at line 13 of file ossl_ssl.h.

## ◆ GetSSLSession

#define GetSSLSession | ( |  | obj,
|  |  | sess
| ) |  |

Value:
do { \
TypedData_Get_Struct((obj), SSL_SESSION, &ossl_ssl_session_type, (sess)); \
if (!(sess)) { \
ossl_raise(rb_eRuntimeError, "SSL Session wasn't initialized."); \
} \
} while (0)

Definition at line 20 of file ossl_ssl.h.

## Function Documentation

## ◆ Init_ossl_ssl()

void Init_ossl_ssl | ( | void |  | ) |

Definition at line 2389 of file ossl_ssl.c.

References eOSSLError, id_call, mOSSL, rb_cIO, rb_define_class_under(), rb_define_module(), rb_define_module_under(), rb_eStandardError, rb_intern, rb_mWaitReadable, and rb_mWaitWritable.

## ◆ Init_ossl_ssl_session()

void Init_ossl_ssl_session | ( | void |  | ) |

Definition at line 308 of file ossl_ssl_session.c.

References cSSLSession, eOSSLError, mOSSL, mSSL, rb_cObject, rb_define_class_under(), rb_define_module(), rb_define_module_under(), and rb_eStandardError.

## Variable Documentation

## ◆ cSSLSession

VALUE cSSLSession

Definition at line 7 of file ossl_ssl_session.c.

Referenced by Init_ossl_ssl_session().

## ◆ cSSLSocket

VALUE cSSLSocket

Definition at line 30 of file ossl_ssl.c.

## ◆ mSSL

VALUE mSSL

Definition at line 26 of file ossl_ssl.c.

Referenced by Init_ossl_ssl_session().

## ◆ ossl_ssl_session_type

const rb_data_type_t ossl_ssl_session_type

Definition at line 16 of file ossl_ssl_session.c.

## ◆ ossl_ssl_type

const rb_data_type_t ossl_ssl_type

Definition at line 1524 of file ossl_ssl.c.

ossl_ssl_type
const rb_data_type_t ossl_ssl_type
Definition: ossl_ssl.c:1524
ossl_ssl_session_type
const rb_data_type_t ossl_ssl_session_type
Definition: ossl_ssl_session.c:16
obj
const VALUE VALUE obj
Definition: rb_mjit_min_header-2.7.0.h:5742
rb_eRuntimeError
VALUE rb_eRuntimeError
Definition: error.c:920